<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8"/>
    <title>JS-ADV. Lesson 1. Task 2 </title>
</head>
<body>
<div class="wrap" id="app">

    <header>
        <button>RED</button>
        <button>BLUE</button>
        <button>GREEN</button>
    </header>

    <h2 id="user">Users:</h2>
    <div class="container">
        <ul id="list">
            <li id="JackLi">Jack</li>
            <li class="show test">Marlyn</li>
            <li name="Dexter" id="test" class="show test">Dexter</li>
        </ul>
    </div>
    <input id="TestAttribute"/>
    <div id="createArea" name="block"></div>

</div>

<script>

    // Задание:

    // 1. Выбрать как элемент блок с id - test;
    var testElement = document.getElementById('test');
    console.log(testElement);
    // 2. Выбрать по css селектору все button
    var cssElement = document.querySelectorAll('button');
    console.log(cssElement);
    // 3. Выбрать родительский элемент .wrap используя точку отсчета блок с с id = createArea.
    var wrapParentElement = document.evaluate('//*[@id="createArea"]//parent::*', document, null,
            XPathResult.ANY_TYPE, null).iterateNext();
    console.log(`родительский элемент .wrap используя точку отсчета блок с с id = createArea, sample 1: ${wrapParentElement}`);

    var wrapParentElement2 =document.getElementById('createArea').closest('*');
    console.log(`родительский элемент .wrap используя точку отсчета блок с с id = createArea sample 1: ${wrapParentElement2}`);

    // 4. Выбрать все элементы li по тегу
    var liElements = document.getElementsByTagName('li');
    console.log(`Выбрать все элементы li по тегу: ${liElements}`);
    // 5. Выбрать все элементы по классу 'test'



</script>
</body>
</html>
